Get Users
GET /v1/reservations/users/fetch/{deviceId}
Gets all users authorized for making reservations in a given VAKA system.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
deviceId string(uuid) path parameter (required)
Identifier of the VAKA system to get users from.
Response
200 OK
A list containing details about each user.
Body
userAccounts array of UserAccountWithAvailableResource objects
A list of UserAccountWithAvailableResource objects.
Show UserAccountWithAvailableResource attributes
Represents a user having authorization to one or more reservation resources.
userId string(uuid)
Unique identifier of the user.
namestring
The name of the user.
email string
The email address connected to the user.
userGroupId string(uuid)
Identifier of the user group the user belongs to, or null if the user doesn't belong to any user group.
Last updated